import { Construct } from '@aws-cdk/cdk';
import { ISubnet, SubnetType, Vpc } from '../lib';
export declare function exportVpc(vpc: Vpc): {
    vpcId: any;
    vpnGatewayId: any;
    availabilityZones: string[];
    publicSubnetIds: string[] | undefined;
    publicSubnetNames: string[] | undefined;
    privateSubnetIds: string[] | undefined;
    privateSubnetNames: string[] | undefined;
    isolatedSubnetIds: string[] | undefined;
    isolatedSubnetNames: string[] | undefined;
};
/**
 * Helper class to export/import groups of subnets
 */
export declare class ExportSubnetGroup {
    private readonly subnets;
    private readonly type;
    private readonly azs;
    readonly ids?: string[];
    readonly names?: string[];
    private readonly groups;
    constructor(scope: Construct, exportName: string, subnets: ISubnet[], type: SubnetType, azs: number);
    private exportIds;
    /**
     * Return the list of subnet names if they're not equal to the default
     */
    private exportNames;
}
